%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-sqlite
Version:        0.5.0
Release:        1
Summary:        Python bindings for SQLite

Group:          Development/Libraries
License:        Freely distributable
URL:            http://pysqlite.sf.net/

Source:         http://dl.sf.net/pysqlite/pysqlite-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python
BuildRequires:  python-devel
BuildRequires:  sqlite-devel 

Requires: python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")

%description
This packages allows you to use sqlite with python.
sqlite is a simple database engine.

%prep
%setup -n pysqlite
rm -f doc/rest/.*swp
chmod -x doc/rest/* LICENSE README

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build \
	--root %{buildroot} --prefix="%{_prefix}"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%doc LICENSE README doc/ examples/
%{python_sitearch}/*sqlite*.so
%dir %{python_sitearch}/sqlite
%{python_sitearch}/sqlite/*.py
%{python_sitearch}/sqlite/*.pyc
%ghost %{python_sitearch}/sqlite/*.pyo

%changelog
* Tue Dec 28 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.5.0-1
- Fix build: install into arch-dependent python sitelib,
  compile without including buildroot paths, build and ghost
  optimized files.
- Add python-abi dependency.
- Fix licence and %%doc permissions.
- Bump release, drop 0.fdr. prefix.

* Thu Sep 02 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.5.0-0.fdr.1
- package copied from Dag

